# -*- encoding: utf-8 -*-
# stub: pg-ldap-sync 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pg-ldap-sync".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Lars Kanis".freeze]
  s.bindir = "exe".freeze
  s.date = "2023-09-29"
  s.email = ["lars@greiz-reinsdorf.de".freeze]
  s.executables = ["pg_ldap_sync".freeze]
  s.files = ["exe/pg_ldap_sync".freeze]
  s.homepage = "https://github.com/larskanis/pg-ldap-sync".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.md".freeze, "--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.5".freeze
  s.summary = "Use LDAP permissions in PostgreSQL".freeze

  s.installed_by_version = "3.2.5" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<net-ldap>.freeze, ["~> 0.16"])
    s.add_runtime_dependency(%q<kwalify>.freeze, ["~> 0.7"])
    s.add_runtime_dependency(%q<pg>.freeze, [">= 0.14", "< 2.0"])
    s.add_development_dependency(%q<ruby-ldapserver>.freeze, ["~> 0.7"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.16", "< 3.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<minitest-hooks>.freeze, ["~> 1.4"])
  else
    s.add_dependency(%q<net-ldap>.freeze, ["~> 0.16"])
    s.add_dependency(%q<kwalify>.freeze, ["~> 0.7"])
    s.add_dependency(%q<pg>.freeze, [">= 0.14", "< 2.0"])
    s.add_dependency(%q<ruby-ldapserver>.freeze, ["~> 0.7"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.16", "< 3.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<minitest-hooks>.freeze, ["~> 1.4"])
  end
end
